[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragImageListResolution.DragMove

Moves the drag image to the specified position.

## Declaration

Source position: controls.pp line 426

`public function TDragImageListResolution.DragMove(`
`X: Integer;`
`Y: Integer`
`):Boolean;`

## Arguments

`X` |  | New horizontal coordinate for the drag image.
`Y` |  | New vertical coordinate for the drag image.

## Function result

True if the drag image is already active and its position is updated in the widgetset class.

## Description

DragMove is a Boolean function used to move the drag image in the resolution to the position specified in the X and Y arguments.

The return value indicates that the Dragging property is already set to True, and that the widgetset class was able to perform the move operation. An internal member with the last position for the drag image is updated when the method is successfully completed.

DragMove is called from the corresponding method in TDragImageList.

## See also

TDragImageListResolution.ImageList |  | List with images used in Drag and Drop operations.
TDragImageList.DraggingResolution |  | Gets the scaled image resolution with the drag images for the list.
TDragImageList.DragMove |  | Shows the drag image at a new location.